summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author mario2013-01-05 16:56:20 +0100
committer dsomero2013-01-10 00:52:21 +0100
commitf57720a5c78ac6788ce819acadef8b4b8e25bcc3 (patch)
tree39c55ebcc4bbe3b26fdc204c39f13891b22e0891
parent3a309f52b82cf2c3e86f5ccf8bbbaeeb5f022e89 (diff)
downloadslackbuilds-f57720a5c78ac6788ce819acadef8b4b8e25bcc3.tar.gz
libraries/php-ssh2: Added (SSH2 bindings for PHP).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--libraries/php-ssh2/README5
-rw-r--r--libraries/php-ssh2/doinst.sh15
-rw-r--r--libraries/php-ssh2/php-ssh2.SlackBuild110
-rw-r--r--libraries/php-ssh2/php-ssh2.info10
-rw-r--r--libraries/php-ssh2/slack-desc19
-rw-r--r--libraries/php-ssh2/ssh2.ini2
6 files changed, 161 insertions, 0 deletions
diff --git a/libraries/php-ssh2/README b/libraries/php-ssh2/README
new file mode 100644
index 0000000000..cc353431e0
--- /dev/null
+++ b/libraries/php-ssh2/README
@@ -0,0 +1,5 @@
+This extension enables PHP to connect to and use SSH2 servers.
+
+To enable the pgsql extension for php, go to /etc/php/ssh2.ini
+and uncomment the line:
+ ; extension=ssh2.so
diff --git a/libraries/php-ssh2/doinst.sh b/libraries/php-ssh2/doinst.sh
new file mode 100644
index 0000000000..e5760e7218
--- /dev/null
+++ b/libraries/php-ssh2/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php/ssh2.ini.new
+
diff --git a/libraries/php-ssh2/php-ssh2.SlackBuild b/libraries/php-ssh2/php-ssh2.SlackBuild
new file mode 100644
index 0000000000..36ae6f7dfa
--- /dev/null
+++ b/libraries/php-ssh2/php-ssh2.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for php-ssh2
+
+# Copyright 2012, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=ssh2
+PRGNAM=php-ssh2
+VERSION=${VERSION:-0.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION package.xml
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+PHP_CONFIG=php-config
+
+phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-php-config=$PHP_CONFIG \
+ --build=$ARCH-slackware-linux
+
+make
+
+EXTENSION_DIR="$PKG/$($PHP_CONFIG --extension-dir)"
+mkdir -p $EXTENSION_DIR $PKG/etc/php
+
+make install DESTDIR=$PKG EXTENSION_DIR=$EXTENSION_DIR
+
+install -m 644 $CWD/ssh2.ini $PKG/etc/php/ssh2.ini.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp LICENSE ../package.xml $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/php-ssh2/php-ssh2.info b/libraries/php-ssh2/php-ssh2.info
new file mode 100644
index 0000000000..b2edd27fac
--- /dev/null
+++ b/libraries/php-ssh2/php-ssh2.info
@@ -0,0 +1,10 @@
+PRGNAM="php-ssh2"
+VERSION="0.12"
+HOMEPAGE="http://pecl.php.net/package/ssh2"
+DOWNLOAD="http://pecl.php.net/get/ssh2-0.12.tgz"
+MD5SUM="409b91678a842bb0ff56f2cf018b9160"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libssh2"
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
diff --git a/libraries/php-ssh2/slack-desc b/libraries/php-ssh2/slack-desc
new file mode 100644
index 0000000000..61d250f8fb
--- /dev/null
+++ b/libraries/php-ssh2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+php-ssh2: php-ssh2 (SSH2 bindings for PHP)
+php-ssh2:
+php-ssh2: This extension enables PHP to connect to and use SSH2 servers.
+php-ssh2:
+php-ssh2: Homepage: http://php.net/manual/en/book.ssh2.php
+php-ssh2:
+php-ssh2:
+php-ssh2:
+php-ssh2:
+php-ssh2:
+php-ssh2:
diff --git a/libraries/php-ssh2/ssh2.ini b/libraries/php-ssh2/ssh2.ini
new file mode 100644
index 0000000000..4a9b15ca35
--- /dev/null
+++ b/libraries/php-ssh2/ssh2.ini
@@ -0,0 +1,2 @@
+; Enable intl extension module
+; extension=ssh2.so